You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@isis.apache.org by da...@apache.org on 2016/10/21 15:01:05 UTC

[11/44] isis git commit: ISIS-1465: adding interim-release.sh

ISIS-1465: adding interim-release.sh


Project: http://git-wip-us.apache.org/repos/asf/isis/repo
Commit: http://git-wip-us.apache.org/repos/asf/isis/commit/f4586d84
Tree: http://git-wip-us.apache.org/repos/asf/isis/tree/f4586d84
Diff: http://git-wip-us.apache.org/repos/asf/isis/diff/f4586d84

Branch: refs/heads/master
Commit: f4586d8497ba30d2ec56c3f5f10d51feb2d4155c
Parents: aa1b1b0
Author: Dan Haywood <da...@haywood-associates.co.uk>
Authored: Thu Sep 8 01:13:47 2016 +0200
Committer: Dan Haywood <da...@haywood-associates.co.uk>
Committed: Thu Sep 8 01:21:26 2016 +0200

----------------------------------------------------------------------
 interim-release.sh | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/isis/blob/f4586d84/interim-release.sh
----------------------------------------------------------------------
diff --git a/interim-release.sh b/interim-release.sh
new file mode 100644
index 0000000..ea2231b
--- /dev/null
+++ b/interim-release.sh
@@ -0,0 +1,26 @@
+VERSION_BASE=$1
+
+if [ ! "$VERSION_BASE" ]; then
+    echo "usage: $(basename $0) [base version]"
+    echo "   eg: $(basename $0) 1.13.0"
+    exit 1
+fi
+
+DATE=`date +'%Y%m%d-%H%M'`
+
+VERSION="$VERSION_BASE.$DATE"
+BRANCH="interim/$VERSION"
+TAG="isis-$VERSION"
+
+git checkout -b "$BRANCH"
+
+echo "updating version in all pom.xml files..."
+pushd core >/dev/null
+mvn versions:set -DnewVersion=$VERSION > /dev/null
+popd >/dev/null
+
+echo "Committing changes"
+git commit -am "bumping to $VERSION"
+
+echo "tagging"
+git tag $TAG